Distribution (Gradle API 2.14.1)

org.gradle.api.distribution

## Interface Distribution

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    PlayDistribution

      @Incubating
      public interface Distribution
      extends Named

  A distribution allow to bundle an application or a library including dependencies,sources...

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CopySpec` | `contents(Action<? super CopySpec> action)` Configures the contents of the distribution.
    `String` | `getBaseName()` The baseName of the distribution, used in naming the distribution archives.
    `CopySpec` | `getContents()` The contents of the distribution.
    `String` | `getName()` The name of this distribution.
    `void` | `setBaseName(String baseName)` The baseName of the distribution.

- - ### Method Detail

    - #### getName

          String getName()

      The name of this distribution.
      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.

    - #### getBaseName

          String getBaseName()

      The baseName of the distribution, used in naming the distribution archives.

      If the `getName()` of this distribution is "`main`" this defaults to the project's name. Otherwise it is "`$project.name-$this.name`".

    - #### setBaseName

          void setBaseName(String baseName)

      The baseName of the distribution.

      Set to change the name of the distribution archives.

    - #### getContents

          CopySpec getContents()

      The contents of the distribution.

    - #### contents

          CopySpec contents(Action<? super CopySpec> action)

      Configures the contents of the distribution.

      Can be used to configure the contents of the distribution:

           apply plugin: "distribution"

           distributions {
               main {
                   contents {
                       from "src/readme"
                   }
               }
           }

      The DSL inside the `contents\{}` block is the same DSL used for Copy tasks.